Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456140 - frysk SRPM doesn't build - sscanf format problem
Summary: frysk SRPM doesn't build - sscanf format problem
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: frysk
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Eric Bachalo
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 17:46 UTC by Vic
Modified: 2011-02-15 09:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-15 09:39:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vic 2008-07-21 17:46:07 UTC
Description of problem:
Trying to build frysk-0.0.1.2008.03.19.rh1-1.el5.src.rpm fails


Version-Release number of selected component (if applicable):
frysk-0.0.1.2008.03.19.rh1-1.el5


How reproducible:
Easily


Steps to Reproduce:
1. rpmbuild  --rebuild the SRPM
2. Watch the error output
3.
  
Actual results:
Build fails with "unknown conversion" at line 135 of
frysk-imports/elfutils/tests/line2addr.c

Expected results:
Build completion...


Additional info:

The build fails with an "unknown conversion type character" passed to sscanf -
it's trying to use %m. The man page for sscanf doesn't know about that
conversion, and earlier tarballs didn't use it.

Is this using a funky version of sscanf (that isn't listed in BuildRequires), or
is this simply a typo?

Comment 1 Andrew Cagney 2008-07-22 14:28:34 UTC
Which gcc and glibc are installed?

The %m isn't a typo, rather an not-so-well-documented extension.  That it is
failing for you but built within the build system is very puzzling.

Comment 2 Vic 2008-07-22 14:35:25 UTC
gcc is 4.1.1-52.el5 (4.1.2-42.el5 is building as I type this...)
glibc is 2.5.24

Comment 3 Andrew Cagney 2008-07-22 16:05:08 UTC
You'll need to use the GCC shipped in 5.2.  Which includes fixes for problems
such as https://bugzilla.redhat.com/show_bug.cgi?id=414411


Comment 4 Vic 2008-07-22 16:32:12 UTC
Should that not therefore be a BuildRequires entry?


Comment 5 Andrew Cagney 2008-07-22 16:41:02 UTC
(In reply to comment #4)
> Should that not therefore be a BuildRequires entry?
> 

Yes, good point.


Note You need to log in before you can comment on or make changes to this bug.